%define		kdeplasmaver	5.22.5
%define		qtver		5.9.0
%define		kpname		kde-cli-tools
Summary:	Tools based on KDE Frameworks 5 to better interact with the system
Name:		kp5-%{kpname}
Version:	5.22.5
Release:	2
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	2cc35501026d39452835808db4dd7712
URL:		https://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	kf5-kcmutils-devel
BuildRequires:	kf5-kconfig-devel
BuildRequires:	kf5-kdelibs4support-devel
BuildRequires:	kf5-kdesu-devel
BuildRequires:	kf5-kemoticons-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kiconthemes-devel
BuildRequires:	kf5-kitemmodels-devel
BuildRequires:	kf5-kwindowsystem-devel
BuildRequires:	kp5-plasma-workspace-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tools based on KDE Frameworks 5 to better interact with the system.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build
rm -rf $RPM_BUILD_ROOT%{_kdedocdir}/{sr,sr@latin}

%find_lang kde-cli-tools --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f kde-cli-tools.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kbroadcastnotification
%attr(755,root,root) %{_bindir}/kcmshell5
%attr(755,root,root) %{_bindir}/kde-open5
%attr(755,root,root) %{_bindir}/kdecp5
%attr(755,root,root) %{_bindir}/kdemv5
%attr(755,root,root) %{_bindir}/keditfiletype5
%attr(755,root,root) %{_bindir}/kioclient5
%attr(755,root,root) %{_bindir}/kmimetypefinder5
%attr(755,root,root) %{_bindir}/kstart5
%attr(755,root,root) %{_bindir}/ksvgtopng5
%attr(755,root,root) %{_bindir}/ktraderclient5
%attr(755,root,root) %{_libexecdir}/kf5/kdeeject
%attr(755,root,root) %{_libexecdir}/kf5/kdesu
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_filetypes.so
%{_datadir}/kservices5/filetypes.desktop
%{_mandir}/man1/kdesu.1*
%lang(ca) %{_mandir}/ca/man1/kdesu.1*
%lang(de) %{_mandir}/de/man1/kdesu.1*
%lang(es) %{_mandir}/es/man1/kdesu.1*
%lang(et) %{_mandir}/et/man1/kdesu.1*
%lang(it) %{_mandir}/it/man1/kdesu.1*
%lang(nb) %{_mandir}/nb/man1/kdesu.1*
%lang(nl) %{_mandir}/nl/man1/kdesu.1*
%lang(pt) %{_mandir}/pt/man1/kdesu.1*
%lang(pt_BR) %{_mandir}/pt_BR/man1/kdesu.1*
%lang(ru) %{_mandir}/ru/man1/kdesu.1*
%lang(sr) %{_mandir}/sr/man1/kdesu.1*
%lang(sv) %{_mandir}/sv/man1/kdesu.1*
%lang(uk) %{_mandir}/uk/man1/kdesu.1*
%{_desktopdir}/org.kde.keditfiletype.desktop
%attr(755,root,root) %{_bindir}/kde-inhibit
%lang(fr) %{_mandir}/fr/man1/kdesu.1*
%changelog
* Thu Sep 09 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-kde-cli-tools.git;a=log;h=master

* Thu Sep 09 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0269526
- https-ing sources

* Fri Sep 03 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a91c7ac
- updated to 5.22.5

* Tue Jul 27 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 1d42568
- updated to 5.22.4

* Wed Jul 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 3677f27
- updated to 5.22.3

* Wed Jun 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 50209da
- updated to 5.22.2.1

* Wed Jun 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 683c599
- updated to 5.22.1

* Wed Jun 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> fe9cbd4
- updated to 5.22.0

* Wed May 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> e74ae1e
- updated to 5.21.5

* Fri Apr 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 85512f1
- updated to 5.21.4

* Tue Mar 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 76ee4fb
- update to 5.21.3

* Sun Mar 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 83e42ba
- update to 5.21.2

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 9227f9e
- updated to 5.15.3

* Fri Jan 11 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 1b47ceb
- updated to 5.14.5

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> d76b389
- updated to 5.14.4

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 9a9f6c9
- updated to 5.11.2

* Sun Feb 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> e044854
- updated to 5.5.4

* Sat Sep 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 65c2277
- find_lang with kde

* Sun Sep 06 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b04f048
- initial

